Bug 1475284 - [RFE] Documentation : Creating an Ansible Tower Service Catalog Item and Bundle [NEEDINFO]
[RFE] Documentation : Creating an Ansible Tower Service Catalog Item and Bundle
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity low
: GA
: 5.8.2
Assigned To: Chris Budzilowicz
Suyog Sainkar
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 07:46 EDT by Gellert Kis
Modified: 2017-09-27 20:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cbudzilo: needinfo? (gekis)


Attachments (Terms of Use)

  None (edit)
Description Gellert Kis 2017-07-26 07:46:48 EDT
Document URL: 

1: https://pemcg.gitbooks.io/mastering-automation-in-cloudforms-4-2-and-manage/content/creating_an_ansible_tower_service_catalog_item_and_bundle/chapter.html

2: https://pemcg.gitbooks.io/mastering-automation-in-cloudforms-4-2-and-manage/content/creating_a_service_catalog_bundle/chapter.html

3: https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html/managing_providers/automation_management_providers#executing-an-ansible-tower-job-template-from-a-service-catalog

4: https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html-single/provisioning_virtual_machines_and_hosts/#creating-a-catalog-bundle

Section Number and Name: 

Describe the issue: 

In gitbook chapter [1] ,section "Creating the Service Catalog Bundle" the topic for creating a catalog bundle is also discussed separately , linked to another section [1] "Creating a Service Catalog Bundle" subsection / "Creating the Service Catalog Bundle"

In the official documentation [3] , section
"3.2.5. Executing an Ansible Tower Job Template from a Service Catalog"
same way we have documentation link for creating a catalog bundle :

"Note

Instead of running a single job at a time, multiple service catalog items can also be grouped together as a catalog bundle [4] to create one deployment with multiple job templates. See Catalogs and Services in Provisioning Virtual Machines and Hosts for more information. "


We need extending documentation for catalog bundle part for Ansible specifically.


Suggestions for improvement: 


Extending documentation for catalog bundle part for Ansible specifically.


Additional information:
Comment 2 Andrew Dahms 2017-08-03 05:56:20 EDT
Assigning to Chris for review.

Chris - it looks like we need to add an example of creating a catalog bundle for Ansible.
Comment 3 Gellert Kis 2017-09-05 02:50:24 EDT
Do we have any draft available , or estimate when doc changes will realize ?

Note You need to log in before you can comment on or make changes to this bug.